bk://gkernel.bkbits.net/libata-2.6
jgarzik@pobox.com|ChangeSet|20050302000626|07665 jgarzik

# This is a BitKeeper generated diff -Nru style patch.
#
# ChangeSet
#   2005/02/24 14:52:48-05:00 jgarzik@pobox.com 
#   [libata ahci] Print out port id on error messages
#   
#   Pointed out by Justin Cormack, Brett Russ, and others.
# 
# drivers/scsi/ahci.c
#   2005/02/24 14:52:41-05:00 jgarzik@pobox.com +1 -1
#   [libata ahci] Print out port id on error messages
#   
#   Pointed out by Justin Cormack, Brett Russ, and others.
# 
# ChangeSet
#   2005/02/24 00:33:29-05:00 tklauser@nuerscht.ch 
#   [PATCH] drivers/scsi/ahci: Use the DMA_{64,32}BIT_MASK constants
#   
#   Use the DMA_{64,32}BIT_MASK constants from dma-mapping.h
#   when calling pci_set_dma_mask() or pci_set_consistent_dma_mask()
#   See http://marc.theaimsgroup.com/?t=108001993000001&r=1&w=2 for details
#   
#   Signed-off-by: Tobias Klauser <tklauser@nuerscht.ch>
#   Signed-off-by: Jeff Garzik <jgarzik@pobox.com>
# 
# drivers/scsi/ahci.c
#   2005/02/16 15:19:53-05:00 tklauser@nuerscht.ch +5 -5
#   drivers/scsi/ahci: Use the DMA_{64,32}BIT_MASK constants
# 
# ChangeSet
#   2005/02/24 00:33:15-05:00 tklauser@nuerscht.ch 
#   [PATCH] drivers/scsi/sata_vsc: Use the DMA_{64,32}BIT_MASK constants
#   
#   Use the DMA_{64,32}BIT_MASK constants from dma-mapping.h
#   when calling pci_set_dma_mask() or pci_set_consistent_dma_mask()
#   See http://marc.theaimsgroup.com/?t=108001993000001&r=1&w=2 for details
#   
#   Signed-off-by: Tobias Klauser <tklauser@nuerscht.ch>
#   Signed-off-by: Jeff Garzik <jgarzik@pobox.com>
# 
# drivers/scsi/sata_vsc.c
#   2005/02/16 15:25:01-05:00 tklauser@nuerscht.ch +2 -2
#   drivers/scsi/sata_vsc: Use the DMA_{64,32}BIT_MASK constants
# 
# ChangeSet
#   2005/02/24 00:25:36-05:00 mlord@pobox.com 
#   [libata qstor] minor update per LKML comments
#   
#   * use __le{32,64}
#   * use DMA_{32,64}BIT_MASK
# 
# drivers/scsi/sata_qstor.c
#   2005/02/24 00:25:30-05:00 mlord@pobox.com +10 -10
#   [libata qstor] minor update per LKML comments
#   
#   * use __le{32,64}
#   * use DMA_{32,64}BIT_MASK
# 
diff -Nru a/drivers/scsi/ahci.c b/drivers/scsi/ahci.c
--- a/drivers/scsi/ahci.c	2005-03-03 21:42:34 -08:00
+++ b/drivers/scsi/ahci.c	2005-03-03 21:42:34 -08:00
@@ -574,7 +574,7 @@
 	writel(tmp, port_mmio + PORT_CMD);
 	readl(port_mmio + PORT_CMD); /* flush */
 
-	printk(KERN_WARNING "ata%u: error occurred, port reset\n", ap->port_no);
+	printk(KERN_WARNING "ata%u: error occurred, port reset\n", ap->id);
 }
 
 static void ahci_eng_timeout(struct ata_port *ap)
@@ -766,10 +766,10 @@
 
 	using_dac = hpriv->cap & HOST_CAP_64;
 	if (using_dac &&
-	    !pci_set_dma_mask(pdev, 0xffffffffffffffffULL)) {
-		rc = pci_set_consistent_dma_mask(pdev, 0xffffffffffffffffULL);
+	    !pci_set_dma_mask(pdev, DMA_64BIT_MASK)) {
+		rc = pci_set_consistent_dma_mask(pdev, DMA_64BIT_MASK);
 		if (rc) {
-			rc = pci_set_consistent_dma_mask(pdev, 0xffffffffULL);
+			rc = pci_set_consistent_dma_mask(pdev, DMA_32BIT_MASK);
 			if (rc) {
 				printk(KERN_ERR DRV_NAME "(%s): 64-bit DMA enable failed\n",
 					pci_name(pdev));
@@ -779,13 +779,13 @@
 
 		hpriv->flags |= HOST_CAP_64;
 	} else {
-		rc = pci_set_dma_mask(pdev, 0xffffffffULL);
+		rc = pci_set_dma_mask(pdev, DMA_32BIT_MASK);
 		if (rc) {
 			printk(KERN_ERR DRV_NAME "(%s): 32-bit DMA enable failed\n",
 				pci_name(pdev));
 			return rc;
 		}
-		rc = pci_set_consistent_dma_mask(pdev, 0xffffffffULL);
+		rc = pci_set_consistent_dma_mask(pdev, DMA_32BIT_MASK);
 		if (rc) {
 			printk(KERN_ERR DRV_NAME "(%s): 32-bit consistent DMA enable failed\n",
 				pci_name(pdev));
diff -Nru a/drivers/scsi/sata_qstor.c b/drivers/scsi/sata_qstor.c
--- a/drivers/scsi/sata_qstor.c	2005-03-03 21:42:34 -08:00
+++ b/drivers/scsi/sata_qstor.c	2005-03-03 21:42:34 -08:00
@@ -261,11 +261,11 @@
 		u32 len;
 
 		addr = sg_dma_address(sg);
-		*(u64 *)prd = cpu_to_le64(addr);
+		*(__le64 *)prd = cpu_to_le64(addr);
 		prd += sizeof(u64);
 
 		len = sg_dma_len(sg);
-		*(u32 *)prd = cpu_to_le32(len);
+		*(__le32 *)prd = cpu_to_le32(len);
 		prd += sizeof(u64);
 
 		VPRINTK("PRD[%u] = (0x%llX, 0x%X)\n", nelem,
@@ -298,10 +298,10 @@
 	/* host control block (HCB) */
 	buf[ 0] = QS_HCB_HDR;
 	buf[ 1] = hflags;
-	*(u32 *)(&buf[ 4]) = cpu_to_le32(qc->nsect * ATA_SECT_SIZE);
-	*(u32 *)(&buf[ 8]) = cpu_to_le32(qc->n_elem);
+	*(__le32 *)(&buf[ 4]) = cpu_to_le32(qc->nsect * ATA_SECT_SIZE);
+	*(__le32 *)(&buf[ 8]) = cpu_to_le32(qc->n_elem);
 	addr = ((u64)pp->pkt_dma) + QS_CPB_BYTES;
-	*(u64 *)(&buf[16]) = cpu_to_le64(addr);
+	*(__le64 *)(&buf[16]) = cpu_to_le64(addr);
 
 	/* device control block (DCB) */
 	buf[24] = QS_DCB_HDR;
@@ -566,10 +566,10 @@
 	int rc, have_64bit_bus = (bus_info & QS_HPHY_64BIT);
 
 	if (have_64bit_bus &&
-	    !pci_set_dma_mask(pdev, 0xffffffffffffffffULL)) {
-		rc = pci_set_consistent_dma_mask(pdev, 0xffffffffffffffffULL);
+	    !pci_set_dma_mask(pdev, DMA_64BIT_MASK)) {
+		rc = pci_set_consistent_dma_mask(pdev, DMA_64BIT_MASK);
 		if (rc) {
-			rc = pci_set_consistent_dma_mask(pdev, 0xffffffffULL);
+			rc = pci_set_consistent_dma_mask(pdev, DMA_32BIT_MASK);
 			if (rc) {
 				printk(KERN_ERR DRV_NAME
 					"(%s): 64-bit DMA enable failed\n",
@@ -578,14 +578,14 @@
 			}
 		}
 	} else {
-		rc = pci_set_dma_mask(pdev, 0xffffffffULL);
+		rc = pci_set_dma_mask(pdev, DMA_32BIT_MASK);
 		if (rc) {
 			printk(KERN_ERR DRV_NAME
 				"(%s): 32-bit DMA enable failed\n",
 				pci_name(pdev));
 			return rc;
 		}
-		rc = pci_set_consistent_dma_mask(pdev, 0xffffffffULL);
+		rc = pci_set_consistent_dma_mask(pdev, DMA_32BIT_MASK);
 		if (rc) {
 			printk(KERN_ERR DRV_NAME
 				"(%s): 32-bit consistent DMA enable failed\n",
diff -Nru a/drivers/scsi/sata_vsc.c b/drivers/scsi/sata_vsc.c
--- a/drivers/scsi/sata_vsc.c	2005-03-03 21:42:34 -08:00
+++ b/drivers/scsi/sata_vsc.c	2005-03-03 21:42:34 -08:00
@@ -285,10 +285,10 @@
 	/*
 	 * Use 32 bit DMA mask, because 64 bit address support is poor.
 	 */
-	rc = pci_set_dma_mask(pdev, 0xFFFFFFFFULL);
+	rc = pci_set_dma_mask(pdev, DMA_32BIT_MASK);
 	if (rc)
 		goto err_out_regions;
-	rc = pci_set_consistent_dma_mask(pdev, 0xFFFFFFFFULL);
+	rc = pci_set_consistent_dma_mask(pdev, DMA_32BIT_MASK);
 	if (rc)
 		goto err_out_regions;
 
